Theme = Theme or {}

Theme.names = {
  "default_cursor",
  "foreground",
  "background",
  "current_line_foreground",
  "statusline_foreground",
  "keyword_foreground",
  "comment_foreground",
  "directive_foreground",
  "constant_foreground",
  "string_foreground",
  "operator_foreground",
  "selection",
  "search",
}

Theme.methods = function()
  Console.Clear()
  for k, v in pairs(Theme) do
    Console.Print(tostring(k) .. " = " .. tostring(v) .. "\n")
  end
  Console.AnyKey()
end

Theme.dump = function()
  Console.Clear()
  Console.Print("\nMethods:\n")
  for k, v in pairs(Theme) do
    Console.Print("  " .. tostring(k) .. " = " .. tostring(v) .. "\n")
  end
  Console.Print("\nColor names:\n")
  for k, v in ipairs(Theme.names) do
    local name = tostring(v)
    local r, g, b = Theme.GetColor(name)
    Console.Print("  " .. name .. " rgb(" .. r .. "," .. g .. "," .. b .. ")" .. "\n")
  end
  Console.AnyKey()
end
